Package org.jboss.resteasy.spi

## Interface ResteasyDeployment

- All Known Implementing Classes:
    `ResteasyDeploymentImpl`, `VertxResteasyDeployment`

      public interface ResteasyDeployment

  This class is used to configure and initialize the core components of RESTEasy.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Class>` | `getActualProviderClasses()` |
    `List<Class>` | `getActualResourceClasses()` |
    `javax.ws.rs.core.Application` | `getApplication()` |
    `String` | `getApplicationClass()` |
    `String` | `getAsyncJobServiceBasePath()` |
    `int` | `getAsyncJobServiceMaxJobResults()` |
    `long` | `getAsyncJobServiceMaxWait()` |
    `int` | `getAsyncJobServiceThreadPoolSize()` |
    `Map<String,​String>` | `getConstructedDefaultContextObjects()` |
    `Map<Class,​Object>` | `getDefaultContextObjects()` |
    `Dispatcher` | `getDispatcher()` |
    `InjectorFactory` | `getInjectorFactory()` |
    `String` | `getInjectorFactoryClass()` |
    `List<String>` | `getJndiComponentResources()` |
    `List<String>` | `getJndiResources()` |
    `Map<String,​String>` | `getLanguageExtensions()` |
    `Map<String,​String>` | `getMediaTypeMappings()` |
    `Object` | `getProperty​(String key)` |
    `List<String>` | `getProviderClasses()` |
    `ResteasyProviderFactory` | `getProviderFactory()` |
    `List<Object>` | `getProviders()` |
    `Registry` | `getRegistry()` |
    `List<String>` | `getResourceClasses()` |
    `List<ResourceFactory>` | `getResourceFactories()` |
    `List<Object>` | `getResources()` |
    `List<String>` | `getScannedJndiComponentResources()` |
    `List<String>` | `getScannedProviderClasses()` |
    `List<String>` | `getScannedResourceClasses()` |
    `Map<String,​List<String>>` | `getScannedResourceClassesWithBuilder()` |
    `List<String>` | `getUnwrappedExceptions()` |
    `boolean` | `isAddCharset()` |
    `boolean` | `isAsyncJobServiceEnabled()` |
    `boolean` | `isDeploymentSensitiveFactoryEnabled()` |
    `boolean` | `isRegisterBuiltin()` |
    `boolean` | `isSecurityEnabled()` |
    `boolean` | `isUseContainerFormParams()` |
    `boolean` | `isWiderRequestMatching()` |
    `void` | `merge​(ResteasyDeployment other)` |
    `static boolean` | `onServer()` |
    `void` | `registration()` |
    `void` | `setActualProviderClasses​(List<Class> actualProviderClasses)` |
    `void` | `setActualResourceClasses​(List<Class> actualResourceClasses)` |
    `void` | `setAddCharset​(boolean addCharset)` |
    `void` | `setApplication​(javax.ws.rs.core.Application application)` |
    `void` | `setApplicationClass​(String applicationClass)` |
    `void` | `setAsyncJobServiceBasePath​(String asyncJobServiceBasePath)` |
    `void` | `setAsyncJobServiceEnabled​(boolean asyncJobServiceEnabled)` |
    `void` | `setAsyncJobServiceMaxJobResults​(int asyncJobServiceMaxJobResults)` |
    `void` | `setAsyncJobServiceMaxWait​(long asyncJobServiceMaxWait)` |
    `void` | `setAsyncJobServiceThreadPoolSize​(int asyncJobServiceThreadPoolSize)` |
    `void` | `setConstructedDefaultContextObjects​(Map<String,​String> constructedDefaultContextObjects)` |
    `void` | `setDefaultContextObjects​(Map<Class,​Object> defaultContextObjects)` |
    `void` | `setDeploymentSensitiveFactoryEnabled​(boolean deploymentSensitiveFactoryEnabled)` |
    `void` | `setDispatcher​(Dispatcher dispatcher)` |
    `void` | `setInjectorFactory​(InjectorFactory injectorFactory)` |
    `void` | `setInjectorFactoryClass​(String injectorFactoryClass)` |
    `void` | `setJndiComponentResources​(List<String> jndiComponentResources)` |
    `void` | `setJndiResources​(List<String> jndiResources)` |
    `void` | `setLanguageExtensions​(Map<String,​String> languageExtensions)` |
    `void` | `setMediaTypeMappings​(Map<String,​String> mediaTypeMappings)` |
    `void` | `setMediaTypeParamMapping​(String paramMapping)` |
    `void` | `setProperty​(String key, Object value)` |
    `void` | `setProviderClasses​(List<String> providerClasses)` |
    `void` | `setProviderFactory​(ResteasyProviderFactory providerFactory)` |
    `void` | `setProviders​(List<Object> providers)` |
    `void` | `setRegisterBuiltin​(boolean registerBuiltin)` |
    `void` | `setRegistry​(Registry registry)` |
    `void` | `setResourceClasses​(List<String> resourceClasses)` |
    `void` | `setResourceFactories​(List<ResourceFactory> resourceFactories)` |
    `void` | `setResources​(List<Object> resources)` |
    `void` | `setScannedJndiComponentResources​(List<String> scannedJndiComponentResources)` |
    `void` | `setScannedProviderClasses​(List<String> scannedProviderClasses)` |
    `void` | `setScannedResourceClasses​(List<String> scannedResourceClasses)` |
    `void` | `setScannedResourceClassesWithBuilder​(Map<String,​List<String>> scannedResourceClassesWithBuilder)` |
    `void` | `setSecurityEnabled​(boolean securityEnabled)` |
    `void` | `setStatisticsEnabled​(boolean statisticsEnabled)` |
    `void` | `setUnwrappedExceptions​(List<String> unwrappedExceptions)` |
    `void` | `setUseContainerFormParams​(boolean useContainerFormParams)` |
    `void` | `setWiderRequestMatching​(boolean widerRequestMatching)` |
    `void` | `start()` |
    `void` | `stop()` |

- - ### Method Detail

    - #### onServer

          static boolean onServer()

    - #### start

          void start()

    - #### merge

          void merge​(ResteasyDeployment other)

    - #### registration

          void registration()

    - #### stop

          void stop()

    - #### isUseContainerFormParams

          boolean isUseContainerFormParams()

    - #### setUseContainerFormParams

          void setUseContainerFormParams​(boolean useContainerFormParams)

    - #### getJndiComponentResources

          List<String> getJndiComponentResources()

    - #### setJndiComponentResources

          void setJndiComponentResources​(List<String> jndiComponentResources)

    - #### getApplicationClass

          String getApplicationClass()

    - #### setApplicationClass

          void setApplicationClass​(String applicationClass)

    - #### getInjectorFactoryClass

          String getInjectorFactoryClass()

    - #### setInjectorFactoryClass

          void setInjectorFactoryClass​(String injectorFactoryClass)

    - #### isDeploymentSensitiveFactoryEnabled

          boolean isDeploymentSensitiveFactoryEnabled()

    - #### setDeploymentSensitiveFactoryEnabled

          void setDeploymentSensitiveFactoryEnabled​(boolean deploymentSensitiveFactoryEnabled)

    - #### isAsyncJobServiceEnabled

          boolean isAsyncJobServiceEnabled()

    - #### setAsyncJobServiceEnabled

          void setAsyncJobServiceEnabled​(boolean asyncJobServiceEnabled)

    - #### getAsyncJobServiceMaxJobResults

          int getAsyncJobServiceMaxJobResults()

    - #### setAsyncJobServiceMaxJobResults

          void setAsyncJobServiceMaxJobResults​(int asyncJobServiceMaxJobResults)

    - #### getAsyncJobServiceMaxWait

          long getAsyncJobServiceMaxWait()

    - #### setAsyncJobServiceMaxWait

          void setAsyncJobServiceMaxWait​(long asyncJobServiceMaxWait)

    - #### getAsyncJobServiceThreadPoolSize

          int getAsyncJobServiceThreadPoolSize()

    - #### setAsyncJobServiceThreadPoolSize

          void setAsyncJobServiceThreadPoolSize​(int asyncJobServiceThreadPoolSize)

    - #### getAsyncJobServiceBasePath

          String getAsyncJobServiceBasePath()

    - #### setAsyncJobServiceBasePath

          void setAsyncJobServiceBasePath​(String asyncJobServiceBasePath)

    - #### getApplication

          javax.ws.rs.core.Application getApplication()

    - #### setApplication

          void setApplication​(javax.ws.rs.core.Application application)

    - #### isRegisterBuiltin

          boolean isRegisterBuiltin()

    - #### setRegisterBuiltin

          void setRegisterBuiltin​(boolean registerBuiltin)

    - #### getProviderClasses

          List<String> getProviderClasses()

    - #### setProviderClasses

          void setProviderClasses​(List<String> providerClasses)

    - #### getProviders

          List<Object> getProviders()

    - #### setProviders

          void setProviders​(List<Object> providers)

    - #### getActualProviderClasses

          List<Class> getActualProviderClasses()

    - #### setActualProviderClasses

          void setActualProviderClasses​(List<Class> actualProviderClasses)

    - #### getActualResourceClasses

          List<Class> getActualResourceClasses()

    - #### setActualResourceClasses

          void setActualResourceClasses​(List<Class> actualResourceClasses)

    - #### isSecurityEnabled

          boolean isSecurityEnabled()

    - #### setSecurityEnabled

          void setSecurityEnabled​(boolean securityEnabled)

    - #### getJndiResources

          List<String> getJndiResources()

    - #### setJndiResources

          void setJndiResources​(List<String> jndiResources)

    - #### getResourceClasses

          List<String> getResourceClasses()

    - #### setResourceClasses

          void setResourceClasses​(List<String> resourceClasses)

    - #### getMediaTypeMappings

          Map<String,​String> getMediaTypeMappings()

    - #### setMediaTypeMappings

          void setMediaTypeMappings​(Map<String,​String> mediaTypeMappings)

    - #### getResources

          List<Object> getResources()

    - #### setResources

          void setResources​(List<Object> resources)

    - #### getLanguageExtensions

          Map<String,​String> getLanguageExtensions()

    - #### setLanguageExtensions

          void setLanguageExtensions​(Map<String,​String> languageExtensions)

    - #### getRegistry

          Registry getRegistry()

    - #### setRegistry

          void setRegistry​(Registry registry)

    - #### getDispatcher

          Dispatcher getDispatcher()

    - #### setDispatcher

          void setDispatcher​(Dispatcher dispatcher)

    - #### getProviderFactory

          ResteasyProviderFactory getProviderFactory()

    - #### setProviderFactory

          void setProviderFactory​(ResteasyProviderFactory providerFactory)

    - #### setMediaTypeParamMapping

          void setMediaTypeParamMapping​(String paramMapping)

    - #### getResourceFactories

          List<ResourceFactory> getResourceFactories()

    - #### setResourceFactories

          void setResourceFactories​(List<ResourceFactory> resourceFactories)

    - #### getUnwrappedExceptions

          List<String> getUnwrappedExceptions()

    - #### setUnwrappedExceptions

          void setUnwrappedExceptions​(List<String> unwrappedExceptions)

    - #### getConstructedDefaultContextObjects

          Map<String,​String> getConstructedDefaultContextObjects()

    - #### setConstructedDefaultContextObjects

          void setConstructedDefaultContextObjects​(Map<String,​String> constructedDefaultContextObjects)

    - #### getDefaultContextObjects

          Map<Class,​Object> getDefaultContextObjects()

    - #### setDefaultContextObjects

          void setDefaultContextObjects​(Map<Class,​Object> defaultContextObjects)

    - #### getScannedResourceClasses

          List<String> getScannedResourceClasses()

    - #### setScannedResourceClasses

          void setScannedResourceClasses​(List<String> scannedResourceClasses)

    - #### getScannedProviderClasses

          List<String> getScannedProviderClasses()

    - #### setScannedProviderClasses

          void setScannedProviderClasses​(List<String> scannedProviderClasses)

    - #### getScannedJndiComponentResources

          List<String> getScannedJndiComponentResources()

    - #### setScannedJndiComponentResources

          void setScannedJndiComponentResources​(List<String> scannedJndiComponentResources)

    - #### getScannedResourceClassesWithBuilder

          Map<String,​List<String>> getScannedResourceClassesWithBuilder()

    - #### setScannedResourceClassesWithBuilder

          void setScannedResourceClassesWithBuilder​(Map<String,​List<String>> scannedResourceClassesWithBuilder)

    - #### isWiderRequestMatching

          boolean isWiderRequestMatching()

    - #### setWiderRequestMatching

          void setWiderRequestMatching​(boolean widerRequestMatching)

    - #### isAddCharset

          boolean isAddCharset()

    - #### setAddCharset

          void setAddCharset​(boolean addCharset)

    - #### getInjectorFactory

          InjectorFactory getInjectorFactory()

    - #### setInjectorFactory

          void setInjectorFactory​(InjectorFactory injectorFactory)

    - #### getProperty

          Object getProperty​(String key)

    - #### setProperty

          void setProperty​(String key,
                           Object value)

    - #### setStatisticsEnabled

          void setStatisticsEnabled​(boolean statisticsEnabled)